Create payment-plan offer
curl --request POST \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/offers/payment-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_pay_date": "2026-06-10",
"action_context": {
"consumer_id": 123,
"active_negotiation_id": 123,
"state": "<string>",
"version": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/offers/payment-plan"
payload = {
"first_pay_date": "2026-06-10",
"action_context": {
"consumer_id": 123,
"active_negotiation_id": 123,
"state": "<string>",
"version": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_pay_date: '2026-06-10',
action_context: {
consumer_id: 123,
active_negotiation_id: 123,
state: '<string>',
version: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/offers/payment-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"account": {
"id": 123,
"identity": {
"account_name": "<string>",
"account_number": "<string>",
"member_account_number": "<string>",
"reference_number": "<string>",
"statement_id_number": "<string>",
"subclient_account_number": "<string>",
"consumer_name": "<string>",
"last4ssn": "<string>"
},
"display": {
"state": {
"label": "<string>",
"card_label": "<string>",
"priority": 123
},
"condition": {
"label": "<string>"
},
"view_flags": {
"is_installment_payment_plan": true,
"is_scheduled_settlement": true,
"is_agreed_installment_payment_plan": true,
"is_agreed_settlement": true,
"is_cancelled_plan": true,
"is_declined_closed_negotiation": true,
"is_pending_settlement_offer": true,
"is_counter_settlement_offer": true,
"is_active_installment_offer": true,
"is_returned_notice_response": true,
"is_creditor_removed_dispute_no_pay": true,
"is_no_pay_creditor_removed": true
},
"amounts": {
"payoff_balance": "2125.00",
"settlement_payoff_balance": "1750.00",
"current_balance": "2500.00",
"original_balance": "2500.00",
"my_settlement_offer": "100.00",
"creditor_settlement_offer": "490.00",
"active_installment_payoff_balance": "2125.00"
},
"balance_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"offer_summary_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"payment_plan_meta_items": [
{
"key": "next_due_date",
"label": "Next Due Date",
"value": "Jun 15, 2026"
}
],
"settlement_schedule_date": "<string>",
"available_actions": [
{
"key": "manage_plan",
"label": "Manage Plan"
}
]
},
"status": {
"value": "payment_accepted",
"label": "Payment Plan"
},
"hold_reason": "Need a short break from payments.",
"flags": {
"payment_setup": true,
"offer_accepted": true,
"counter_offer": true,
"has_failed_payment": true,
"custom_offer": true,
"membership_active_account": true
},
"dates": {
"placement_date": "2023-12-25",
"expiry_date": "2023-12-25",
"restart_date": "2023-12-25",
"last_login_at": "2023-11-07T05:31:56Z",
"disputed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"deactivated_at": "2023-11-07T05:31:56Z"
},
"company": {
"id": 123,
"company_name": "<string>",
"about_us": "<p>ABC Collections works with consumers on flexible repayment options.</p>"
},
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"reason_label": "<string>",
"balances": "<unknown>",
"offer_summary_items": [
"<unknown>"
],
"payment_plan_meta_items": [
"<unknown>"
],
"active_negotiation": {
"id": 123,
"negotiation_type_label": "<string>",
"active_negotiation": true,
"offer_accepted": true,
"offer_accepted_at": "2023-11-07T05:31:56Z",
"counter_offer_accepted": true,
"first_pay_date": "2023-12-25",
"monthly_amount": "<string>",
"no_of_installments": 123,
"last_month_amount": "<string>",
"one_time_settlement": "<string>",
"negotiate_amount": "<string>",
"counter_one_time_amount": "<string>",
"counter_negotiate_amount": "<string>",
"counter_monthly_amount": "<string>",
"counter_no_of_installments": 123,
"counter_first_pay_date": "2023-12-25",
"consumer_offer_sent_at": "2023-11-07T05:31:56Z",
"creditor_counter_offer_sent_at": "2023-11-07T05:31:56Z",
"last_offer_type": "<string>"
},
"scheduled_payment": {
"id": 123,
"date": "2023-12-25",
"amount": "<string>",
"status": "<string>"
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "<string>",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"offer": {
"account": {
"id": 123,
"identity": {
"account_name": "<string>",
"account_number": "<string>",
"member_account_number": "<string>",
"reference_number": "<string>",
"statement_id_number": "<string>",
"subclient_account_number": "<string>",
"consumer_name": "<string>",
"last4ssn": "<string>"
},
"display": {
"state": {
"label": "<string>",
"card_label": "<string>",
"priority": 123
},
"condition": {
"label": "<string>"
},
"view_flags": {
"is_installment_payment_plan": true,
"is_scheduled_settlement": true,
"is_agreed_installment_payment_plan": true,
"is_agreed_settlement": true,
"is_cancelled_plan": true,
"is_declined_closed_negotiation": true,
"is_pending_settlement_offer": true,
"is_counter_settlement_offer": true,
"is_active_installment_offer": true,
"is_returned_notice_response": true,
"is_creditor_removed_dispute_no_pay": true,
"is_no_pay_creditor_removed": true
},
"amounts": {
"payoff_balance": "2125.00",
"settlement_payoff_balance": "1750.00",
"current_balance": "2500.00",
"original_balance": "2500.00",
"my_settlement_offer": "100.00",
"creditor_settlement_offer": "490.00",
"active_installment_payoff_balance": "2125.00"
},
"balance_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"offer_summary_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"payment_plan_meta_items": [
{
"key": "next_due_date",
"label": "Next Due Date",
"value": "Jun 15, 2026"
}
],
"settlement_schedule_date": "<string>",
"available_actions": [
{
"key": "manage_plan",
"label": "Manage Plan"
}
]
},
"status": {
"value": "payment_accepted",
"label": "Payment Plan"
},
"hold_reason": "Need a short break from payments.",
"flags": {
"payment_setup": true,
"offer_accepted": true,
"counter_offer": true,
"has_failed_payment": true,
"custom_offer": true,
"membership_active_account": true
},
"dates": {
"placement_date": "2023-12-25",
"expiry_date": "2023-12-25",
"restart_date": "2023-12-25",
"last_login_at": "2023-11-07T05:31:56Z",
"disputed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"deactivated_at": "2023-11-07T05:31:56Z"
},
"company": {
"id": 123,
"company_name": "<string>",
"about_us": "<p>ABC Collections works with consumers on flexible repayment options.</p>"
},
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"reason_label": "<string>",
"balances": "<unknown>",
"offer_summary_items": [
"<unknown>"
],
"payment_plan_meta_items": [
"<unknown>"
],
"active_negotiation": {
"id": 123,
"negotiation_type_label": "<string>",
"active_negotiation": true,
"offer_accepted": true,
"offer_accepted_at": "2023-11-07T05:31:56Z",
"counter_offer_accepted": true,
"first_pay_date": "2023-12-25",
"monthly_amount": "<string>",
"no_of_installments": 123,
"last_month_amount": "<string>",
"one_time_settlement": "<string>",
"negotiate_amount": "<string>",
"counter_one_time_amount": "<string>",
"counter_negotiate_amount": "<string>",
"counter_monthly_amount": "<string>",
"counter_no_of_installments": 123,
"counter_first_pay_date": "2023-12-25",
"consumer_offer_sent_at": "2023-11-07T05:31:56Z",
"creditor_counter_offer_sent_at": "2023-11-07T05:31:56Z",
"last_offer_type": "<string>"
},
"scheduled_payment": {
"id": 123,
"date": "2023-12-25",
"amount": "<string>",
"status": "<string>"
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "<string>",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"action_context": {
"consumer_id": 123,
"active_negotiation_id": 123,
"version": "2023-11-07T05:31:56Z"
},
"offer_options": {
"settlement": {
"negotiation_type": "<unknown>",
"amount": "500.00",
"discounted_amount": "500.00",
"discount_percent": "50.00",
"first_pay_date": "2023-12-25"
},
"payment_plan": {
"negotiation_type": "<unknown>",
"installment_type": "<unknown>",
"payment_plan_balance": "750.00",
"monthly_amount": "75.00",
"no_of_installments": 10,
"last_month_amount": "<string>",
"discounted_amount": "250.00",
"discount_percent": "25.00",
"first_pay_date_min": "2023-12-25",
"first_pay_date_max": "2023-12-25"
},
"custom": {
"negotiation_types": [
{
"value": "<string>",
"label": "<string>"
}
],
"installment_types": [
{
"value": "<string>",
"label": "<string>"
}
],
"amount_minimums": {
"settlement": "5.00",
"payment_plan_monthly": "7.50"
},
"first_pay_date_min": "2023-12-25",
"first_pay_date_max_for_auto_accept": "2023-12-25"
}
},
"active_negotiation": {
"id": 123,
"negotiation_type_label": "<string>",
"my_last_offer": {
"one_time_settlement": "<string>",
"payment_plan_balance": "<string>",
"monthly_amount": "<string>",
"first_pay_date": "2023-12-25",
"note": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
},
"creditor_offer": {
"one_time_settlement": "<string>",
"payment_plan_balance": "<string>",
"monthly_amount": "<string>",
"first_pay_date": "2023-12-25",
"note": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
},
"last_offer_type": "<string>"
},
"available_actions": [
{
"key": "manage_plan",
"label": "Manage Plan"
}
],
"pay_terms": {
"type": "individual",
"type_label": "Individual",
"pif_balance_discount_percent": "50.00",
"ppa_balance_discount_percent": "25.00",
"min_monthly_pay_percent": "10.00",
"max_days_first_pay": 12,
"max_first_pay_date": "2023-12-25",
"settlement_auto_approve_enabled": true,
"payment_plan_auto_approve_enabled": true,
"pay_term_custom_rules": {}
}
},
"next_action": {
"label": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}{
"message": "<string>",
"errors": {}
}Create payment-plan offer
Create the quick payment-plan offer from current server-side Pay Terms. first_pay_date must be after today and within the account’s max first-payment date.
POST
/
accounts
/
{consumer}
/
offers
/
payment-plan
Create payment-plan offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Body
application/json
Last modified on July 19, 2026
Was this page helpful?
⌘I

